Bug 197907 - Look at integrating "computer" menu from SUSE
Look at integrating "computer" menu from SUSE
Product: Fedora
Classification: Fedora
Component: gnome-menus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-07-07 01:03 EDT by Rahul Sundaram
Modified: 2013-03-13 01:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-25 11:09:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2006-07-07 01:03:20 EDT
Description of problem:

SUSE is the recent desktop version provides a "computer" menu which is a applet
available in GNOME CVS under the name "slab"

Actual results:

Not integrated or available in Fedora

Expected results:

Would be nice to have this atleast as a option if not the default

Additional info:

Comment 1 Matthias Clasen 2006-07-19 20:24:00 EDT
Not going to happen for FC6, at least
Comment 2 Parag AN(पराग) 2006-07-20 00:18:48 EDT
If nobody has accepted the task of packaging slab then i am going to start its
work in this weekend.
Comment 3 Hans de Goede 2006-07-20 04:00:02 EDT
Looks rather nice, definetly an extras candidate if its just an applet (IOW
doesn't need any changes to other [ackages).

I would be willing to review this, but rather not maintain it.

Parag AN, who is your potential sponsor again? And what is your status with
regard to getting sponsored?

Comment 4 Parag AN(पराग) 2006-07-20 04:09:42 EDT
Currently i am not sponsored by anyone. I have submitted 6 packages to
Fedora-extras and my activites are monitored by Paul Howarth.
Comment 5 Paul Howarth 2006-07-20 04:17:04 EDT
(In reply to comment #3)
> Parag AN, who is your potential sponsor again?

That would be me.

> And what is your status with regard to getting sponsored?

It's hard keeping up with Parag, who is very active!

I'm obviously very happy with Parag's enthusiasm but I still feel there are
things for Parag to learn. Parag has done lots of reviews very quickly, and I
get the feeling that these just involve running through the package review
checklist and ticking off the items. To me, a reviewer should be looking at a
package in a similar way to the original submitter, which would tend to result
in picking up a few things that could be missed by just running through the
checklist. I'd hope that the experience of some of the previous reviews would
illustrate that.

What I'd like to see before I'd sponsor Parag (I don't think it'll be too long now):

 * Fewer, but more detailed reviews.
 * If you think that someone has done something wrong in a package, bear in mind
that they may actually have a good reason for doing it that way (particularly if
you're an inexperienced reviewer), so instead of telling them that what they've
done is wrong, I'd rather see you ask the subitter why they did it that way
instead of the way you think it should be done. This also helps inexperienced
submitters, who may actually be doing the right thing and end up changing to the
wrong thing. In short, if there is any doubt, ask questions.

And keep up the good work!
Comment 6 Parag AN(पराग) 2006-07-20 04:24:24 EDT
Thnaks for your comments. Will do detailed reviews.
Comment 7 Rahul Sundaram 2006-07-20 15:37:26 EDT
(In reply to comment #2)
> If nobody has accepted the task of packaging slab then i am going to start its
> work in this weekend.

Nobody is current involved in this effort afaik, so go right ahead. 
Comment 8 Parag AN(पराग) 2006-07-21 08:18:24 EDT
Submitted slab package to fedora-extras
Thanks to Paul Howarth for helping me to get more knowledge on packaging slab
Comment 9 Matthias Clasen 2006-07-25 11:09:58 EDT
With an Extras review under way, I guess we should close this for now.

Note You need to log in before you can comment on or make changes to this bug.